<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' )) {
	return;
}

if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return false;
}
$map__string = get_option( 'etcpf_attribute_user_map_Etsy' );

if ( strlen( $map__string ) == 0 ) {
	$map_ = array();
} else {
	$map_ = json_decode( $map__string );
	$map_ = get_object_vars( $map_ );
}

$attr            = isset( $_POST['attribute'] ) ? sanitize_text_field( wp_unslash( $_POST['attribute'] ) ) : '';
$map_to          = isset( $_POST['mapto'] ) ? sanitize_text_field( wp_unslash( $_POST['mapto'] ) ) : '';
$map_[ $map_to ] = $attr;

if ( $attr == '(Reset)' ) {
	$new_map = array();
	foreach ( $map_ as $index => $item ) {
		if ( $index != $map_to ) {
			$new_map[ $index ] = $item;
		}
	}
	$map_ = $new_map;
}

update_option( 'etcpf_attribute_user_map_Etsy', wp_json_encode( $map_ ) );
