<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
require_once ETCPF_PATH . '/core/classes/Profiling.php';
class ETCPF_Profiling_Ajax_Handler extends ETCPF_Profiling {

	function __construct() {
		parent::__construct();
	}

	public function deleteattributes( $params ) {
		if ( $id = etcpf_getsafePostData( 'id' ) ) {
			$this->db->delete( $this->preparationTable, array( 'id' => $id ) );
			if ( ! $this->db->last_error ) {
				wp_send_json_success( array( $params ) );
				exit();
			}
			wp_send_json_error( $params );
			exit();
		}
		wp_send_json_error( 'Id must be provided' );
	}

	public function validateprofile() {
		$value      = etcpf_getsafeajaxPostData( 'profile_name' );
		$validation = parent::validate( 'profile_name', $value );
		if ( ! $validation['success'] ) {
			wp_send_json_error( $validation );
		} else {
			wp_send_json_success();
		}
	}

	public function invoker() {
		if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' )) {
			return;
		}
		
		if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
			return false;
		}
		$method    = array_key_exists( 'perform', $_POST ) ? sanitize_text_field( wp_unslash( $_POST['perform'] ) ) : null;
		$arguments = array_key_exists( 'params', $_POST ) ? is_array( $_POST['params'] ) ? array_map( 'sanitize_text_field', wp_unslash( $_POST['params'] ) ) : sanitize_text_field( wp_unslash( $_POST['params'] ) ) : array_map( 'sanitize_text_field', wp_unslash( $_POST ) );
		if ( ! is_array( $arguments ) ) {
			$arguments = array( $arguments );
		}
		if ( is_null( $method ) ) {
			echo json_encode(
				array(
					'success' => false,
					'msg'     => 'Methods was null',
				)
			);
		} elseif ( ! method_exists( $this, $method ) ) {
			echo json_encode(
				array(
					'success' => false,
					'msg'     => "Methods {$method} does not exists.",
				)
			);
		} else {
			call_user_func_array( array( $this, $method ), array( $arguments ) );
		}
	}

}

$OBJECT = new ETCPF_Profiling_Ajax_Handler();
$OBJECT->invoker();
