<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' )) {
	return;
}

if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return;
}
$optionname = isset( $_POST['optionkey'] ) ? sanitize_text_field( wp_unslash( $_POST['optionkey'] ) ) : '';
$value      = isset( $_POST['propertykey'] ) ? sanitize_text_field( wp_unslash( $_POST['propertykey'] ) ) : '';
$message    = '';
if ( get_option( $optionname ) === $value ) {
	$message = 'Value is unchanged';
} else {
	$message = update_option( $optionname, $value ) ? 'Successfylly updated' : 'Something went wrong, please try again.';
}
echo json_encode(
	array(
		'status' => true,
		'data'   => array(
			'message' => $message,
			'success' => true,
		),
	)
);
exit;
