<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
define( 'XMLRPC_REQUEST', true );

if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' ) ) {
	return;
}

if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return;
}

$product_id = isset( $_POST['product_id'] ) ? sanitize_text_field( wp_unslash( $_POST['product_id'] ) ) : 0;
if ( $product_id == 0 ) {
	return array(
		'success' => false,
		'data'    => array(),
	);
}

function etcpf_peekListingVariations( $product_id ) {
	global $wpdb;
	$table         = $wpdb->prefix . 'etcpf_listing_variations';
	$data          = $wpdb->get_results( $wpdb->prepare( "SELECT data FROM $table WHERE parent_id=%d", array( $product_id ) ) );
	if ( count( $data ) > 0 ) {
		$prepared_data = array();
		foreach ( $data as $row ) {
			$prepared_data[] = maybe_unserialize( $row->data );
		}
	} else {
		$prepared_data = array();
	}
	return array(
		'success' => true,
		'data'    => $prepared_data,
	);
}

echo json_encode( etcpf_peekListingVariations( (int) $product_id ) );
