<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
define( 'XMLRPC_REQUEST', true );

if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' ) ) {
	return;
}

if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return;
}
ob_start( null );
function etcpf_safe_get_status_data( $index ) {
	if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' ) ) {
		return;
	}

	if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
		return;
	}

	if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
		return;
	}
	if ( isset( $_POST[ $index ] ) ) {
		return sanitize_text_field( wp_unslash( $_POST[ $index ] ) );
	} else {
		return '';
	}
}

$feedIdentifier = intval( etcpf_safe_get_status_data( 'feed_identifier' ) );

ob_clean();
echo wp_kses( get_option( 'etcpf_etsyfeedActivity_' . $feedIdentifier ), etcpf_kses_criteria() );
