<?php
if ( ! defined( ABSPATH ) ) {
	die( 'Access Denied' );
}
if ( ! is_admin() ) {
	die( 'Unauthorized Access' );
}

require_once ETCPF_PATH . 'core/classes/Profiling.php';
class ETCPF_profileValidation extends ETCPF_Profiling {

	function __construct() {
		parent::__construct();
	}

	public function validate( $field, $value ) {
		$value      = etcpf_getsafePostData( 'profile_name' );
		$validation = parent::validate( 'profile_name', $value );
		if ( ! $validation['status'] ) {
			wp_send_json_error( $validation );
		}
	}

	public function _Initiate() {
		if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' )) {
			return;
		}
		
		if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
			return;
		}
		$method    = array_key_exists( 'perform', $_POST ) ? sanitize_text_field( wp_unslash( $_POST['perform'] ) ) : null;
		$arguments = array_key_exists( 'params', $_POST ) ? is_array( $_POST['params'] ) ? array_map( 'sanitize_text_field', wp_unslash( $_POST['params'] ) ) : sanitize_text_field( wp_unslash( $_POST['params'] ) ) : array_map( 'sanitize_text_field', wp_unslash( $_POST ) );
		if ( ! is_array( $arguments ) ) {
			$arguments = array( $arguments );
		}
		if ( is_null( $method ) ) {
			echo json_encode(
				array(
					'success' => false,
					'msg'     => 'Methods was null',
				)
			);
		} elseif ( ! method_exists( $this, $method ) ) {
			echo json_encode(
				array(
					'success' => false,
					'msg'     => "Methods {$method} does not exists.",
				)
			);
		} else {
			call_user_func_array( array( $this, $method ), array( $arguments ) );
		}
	}

}

$object = new ETCPF_profileValidation();
$object->_Initiate();
