<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
if ( ! isset( $_POST['security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['security'] ) ), 'exportfeed_etsy_cpf' ) ) {
	return;
}
if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return false;
}
global $wpdb;
$response      = array();
$error_message = array();
$error_queries = array();
$success       = true;

$purge_listing = isset( $_POST['purge_listing'] ) ? sanitize_text_field( wp_unslash( $_POST['purge_listing'] ) ) : '';
$purge_feed    = isset( $_POST['purge_feed'] ) ? sanitize_text_field( wp_unslash( $_POST['purge_feed'] ) ) : '';

if ( 'true' == $purge_feed || 'true' == $purge_listing ) {
	$table_name = $wpdb->base_prefix . 'etcpf_custom_feed_products';
	$wpdb->query( $wpdb->prepare( "TRUNCATE TABLE $table_name" ) );

	if ( '' !== $wpdb->last_error ) {
		array_push( $error_message, htmlspecialchars( $wpdb->last_error, ENT_QUOTES ) );
		array_push( $error_queries, htmlspecialchars( $wpdb->last_query, ENT_QUOTES ) );
		$success = false;
	}
}

if ( 'true' == $purge_feed ) {
	$table_name = $wpdb->base_prefix . 'etcpf_feeds';
	$wpdb->query( $wpdb->prepare( "TRUNCATE TABLE $table_name" ) );

	if ( '' !== $wpdb->last_error ) {
		array_push( $error_message, htmlspecialchars( $wpdb->last_error, ENT_QUOTES ) );
		array_push( $error_queries, htmlspecialchars( $wpdb->last_query, ENT_QUOTES ) );
		$success = false;
	}
}

if ( 'true' == $purge_listing ) {
	$table_name = $wpdb->base_prefix . 'etcpf_listings';
	$wpdb->query( $wpdb->prepare( "TRUNCATE TABLE $table_name" ) );

	if ( '' !== $wpdb->last_error ) {
		array_push( $error_message, htmlspecialchars( $wpdb->last_error, ENT_QUOTES ) );
		array_push( $error_queries, htmlspecialchars( $wpdb->last_query, ENT_QUOTES ) );
		$success = false;
	}

	$table_name = $wpdb->base_prefix . 'etcpf_listing_variations';
	$wpdb->query( $wpdb->prepare( "TRUNCATE TABLE $table_name" ) );

	if ( '' !== $wpdb->last_error ) {
		array_push( $error_message, htmlspecialchars( $wpdb->last_error, ENT_QUOTES ) );
		array_push( $error_queries, htmlspecialchars( $wpdb->last_query, ENT_QUOTES ) );
		$success = false;
	}

	$table_name = $wpdb->base_prefix . 'etcpf_etsy_sync';
	$wpdb->query( $wpdb->prepare( "TRUNCATE TABLE $table_name" ) );

	if ( '' !== $wpdb->last_error ) {
		array_push( $error_message, htmlspecialchars( $wpdb->last_error, ENT_QUOTES ) );
		array_push( $error_queries, htmlspecialchars( $wpdb->last_query, ENT_QUOTES ) );
		$success = false;
	}
}
$response['success']       = $success;
$response['error_message'] = $error_message;
$response['error_queries'] = $error_queries;
$response['message']       = $success ? 'Data purge completed successfully' : 'Data purge failed.';

echo json_encode( $response );
