<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Exit if accessed directly
if ( ! defined( 'ETCPF_IMAGE_PATH' ) ) {
	define( 'ETCPF_IMAGE_PATH', plugins_url( '/', __FILE__ ) . '../../images/' );
}
$feed_id   = isset( $_REQUEST['feed_id'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['feed_id'] ) ) : '';
$feed_data = $this->regenerateFeed( $feed_id );
if ( $feed_data !== null ) {
	$feed_name            = $feed_data->filename;
	$feed_remote_category = $feed_data->remote_category;
	$feed_local_category  = $feed_data->category;
	$feed_provide         = $feed_data->type;
	$feed_url             = $feed_data->url;
	if ( isset( $feed_data->mappedlocalcategory ) ) {
		$feed_category_names = $feed_data->mappedlocalcategory;
	} else {
		$feed_category_names = $feed_data->category;
	}

	if ( isset( $feed_data->mappedremotecategory ) ) {
		$feed_etsy_category = $feed_data->mappedremotecategory;
	} else {
		$feed_etsy_category = $feed_data->category_path;
	}
	$feed_etsy_taxonomy = $feed_data->texonomy_path;
	$feed_id            = $feed_data->id;
}
$iconurl = plugins_url( '/../../images/exf-sm-logo.png', __FILE__ );
?>
<div class="etcpf_card etcpf_card_sticky etcpf_card_sticky--header">
	<div class="etcpf_card_body">
		<div class="etcpf_logo_wrapper">
			<a target="_blank" href="http://www.exportfeed.com">
				<img class="exf-logo-style" src='<?php echo esc_url( $iconurl ); ?>' alt="shopping cart logo">
			</a>
			<div class="d-flex ai-c flex-wrap">
				<span>
					Version: <?php echo esc_html( ETCPF_PLUGIN_VERSION ) . etcpf_version(); ?> &nbsp;&nbsp;&nbsp;&nbsp;
				</span>
				<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
					<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
				</button>
			</div>
		</div>
	</div>
</div>
<div style="display: none;" id="ajax-loader-cat-import"><span id="gif-message-span"></span></div>
<div id="poststuff">
	<div class="postbox" id="error-page">
		<div class="etcpf_page_heading etcpf_page_heading_withButton">
			<h3>Feed Details</h3>
		</div>
		<div class="inside">
			<div class="inside-left">
			<p>Feed Name: <?php echo esc_html( $feed_name ); ?></p>
			<p>Etsy Category: <?php echo esc_html( $feed_etsy_category ); ?></p>
			<p >
				<?php if ( $feed_data->feed_type == 1 ) { ?>
				<a href="<?php echo esc_url( admin_url() . 'admin.php?page=etsy-export-feed-custom-feed&action=edit&id=' . $feed_id . '&feed_type=' . $feed_data->feed_type ); ?>">Edit
					Feed</a>
				<?php } else { ?>
					<a href="<?php echo esc_url( admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=edit&id=' . $feed_id . '&feed_type=' . $feed_data->feed_type ); ?>">Edit
						Feed</a>
				<?php } ?>
				<a href="<?php echo esc_url( wp_nonce_url( get_admin_url() . 'admin.php?page=etsy-export-feed-manage&action=delete&id=' . $feed_id, 'delete_feed', 'ETCPF_security' ) ); ?>">Delete</a>
				<a target="_blank" href="<?php echo esc_url( $feed_data->url ); ?>">View</a>
			</p>
		</div>
		<div class="inside-right">
			<div class="inside-right-1">
			<p class="upload">
			<?php if ( $feed_data->type != 'Productlistraw' ) { ?>
					<a href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $feed_id ); ?>">Upload to Etsy</a>
				<?php } ?>
			</p>
		</div>
		</div>
		</div>
	</div>
	<?php
	if ( $feed_data->type == 'Productlistraw' ) {
		exit;}
	?>
	<?php if ( $data['error_product_count'] > 0 ) { ?>
		<div class="postbox" id="error-page">
			<h3 class="hndle">Note</h3>
			<div class="inside">
				<p>The following products doesn't have the attributes requires for feed. Please enter the suitable
					values
					for the attributes. Once errors are resolved, you will be provided with regenerate option.</p>
				<p>If you ignore the warning errors feed may be to etsy sometimes, but if you ifgnore the error you won't be able to upload the error items.</p>
			</div>
		</div>
	<?php } ?>
	<div class="postbox" id="progress-details" style="display:none;">
		<h3 class="hndle">Error Feed Details</h3>
		<div class="inside listing-progress">
			<label>Your products are listing on Etsy</label>
			<label>Upload process may take some time depending upon the volume of products on your feed.</label>
			<div id="progress-bar" class="progress-body">
				<label id="shop_sync_percentage">20%</label>
				<div class="cssProgress">
					<div class="progress2 ">
						<div class="cssProgress-bar cssProgress-success-dupe cssProgress-active-dupe" data-percent="20%"
							 style="width: 20%">
							<span class="cssProgress-label"></span>
						</div>
					</div>
				</div>
				<label class="progress-remaining"><span id="time_required_to_complete">***</span>
					minutes remaining (approximately)</label>
			</div>
		</div>
	</div>
	<div class="error-tab-container">
		<a href="#" class="view-all"
		   onclick="etcpf_view_all('<?php echo esc_attr( $feed_id ); ?>');"> <?php esc_html_e( 'All Products', 'etcpf_langstring' ); ?> ( <span
					id="total-product-count"><?php echo esc_html( $data['total_products'] ); ?></span>)</a>
		<?php if ( $data['error_product_count'] > 0 ) { ?>
			<a href="#" class="error-products active" onclick="etcpf_error_products();">Resolve error in Bulk(<span
						id="initial-error-product"><?php echo esc_html( $data['error_product_count'] ); ?></span>)</a>
		<?php } ?>
	</div>
	<div id="all-product-div" 
	<?php
	if ( $data['error_product_count'] > 0 ) {
		echo 'style="display: none;"';
	}
	?>
	 ">
	<table id="error-free-product-table" style="display: none;"
		   class="cp-list-table widefat suzandontable striped main-table all-product-table">
		<thead>
		<tr>
			<th class="checkbox-cell"><input type="checkbox"></th>
			<th><?php esc_html_e( 'Product Name' ); ?></th>
			<th><?php esc_html_e( 'SKU', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Categories', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Action', 'etcpf_langstring' ); ?></th>
		</tr>
		</thead>

		<tbody>
		<?php
		if ( ! empty( $data['all_products'] ) && count( $data['all_products'] ) > 0 ) {
			foreach ( $data['all_products'] as $key => $ap ) {
				?>
				<tr id="row_all_product_<?php echo esc_html( $ap['data'][0]->p_id ); ?>">
					<td><input type="checkbox"></td>
					<td><?php echo esc_html( $ap['data'][0]->p_name ); ?></td>
					<td><?php echo esc_html( $ap['data'][0]->sku ); ?></td>
					<td><?php echo esc_html( $ap['data'][0]->prod_categories ); ?></td>
					<td id="aetsmtd_<?php echo esc_html( $ap['data'][0]->p_id ); ?>"
						<?php
						if ( $ap['contains_errors'] ) {
							echo 'style="color:green;"';
							$action = "<span style='color:red;'>[ Contains Errors ]</span> <a class='edit-error all-products-tab-edit-error' data-feed_id='" . $feed_id . "' data-target='" . $ap['data'][0]->p_id . "' >Resolve</a>";
						} else {
							echo 'style="color:green;"';
							$action = 'Resolved';
						}
						?>
						>
						<?php echo wp_kses( $action, etcpf_kses_criteria() ); ?>
						<div style="display: none;" class="error-resolve-div-pep"
							id="allproduct_<?php echo esc_html( $ap['data'][0]->p_id ); ?>" data-feed_id='<?php echo esc_html( $feed_id ); ?>'
							data-id="<?php echo esc_html( $ap['data'][0]->p_id ); ?>">
							<ul>
								<?php
								if ( is_array( $ap['data'] ) ) {
									foreach ( $ap['data'] as $k => $val ) {
										if ( $val->error_status != '2' && $val->error_status != '1' ) {
											?>
											<li id="li_<?php echo esc_html( $val->p_id ) . '_' . esc_html( $val->error_code ); ?>">
												<a class='edit-error insideerror-each-type'><?php echo esc_html( ucfirst( $this->getAttributeNameByCode( $val->error_code ) ) ); ?>
													Missing</a>
												<div class="div-for-input" style="display: none;">
													<input type="text" class=""
														   id="product_value_<?php echo esc_html( $val->p_id . '_' . $val->error_code ); ?>"
														   placeholder=" Enter <?php $this->getAttributeNameByCode( $val->error_code ); ?> value">
													<p class="actions">
														<button type="submit" id="fuckuptest" value="submit"
																onclick="return etcpf_AMWSCP_AssignProductValueinWooFromAllProductTab(this,'<?php echo esc_html( $val->p_id ); ?>','<?php echo esc_html( $val->error_code ); ?>','<?php echo esc_html( $feed_id ); ?>');">
															✓
														</button>
														<button onclick="return etcpf_closeProductEditBox(this);"
																type="submit" class="edit-cancel-button-xttpy"
																value="cancel">✗
														</button>
													</p>
													<br>
													<?php
													$products = $this->getproductbyErrorCode( $feed_id, $val->error_code );
													if ( is_array( $products ) && count( $products ) > 0 ) {
														?>
														<span class="resolve-error-in-bluk-"<?php echo esc_html( $val->error_code ); ?>> <?php echo esc_html( count( $products ) ); ?>
															has same error <a
																	onclick="return etcpf_SelectBulkResolutionofecode('<?php echo esc_html( $val->error_code ); ?>')"
																	style="cursor: pointer;"
																	class="<?php echo esc_html( $val->error_code ); ?>">Resolve in bulk</a></span>
													<?php } ?>
												</div>
											</li>
											<?php
										}
									}
								}
								?>

							</ul>
						</div>
					</td>
				</tr>
				<?php
			}
		}
		?>

		</tbody>

		<tfoot>
		<tr>
			<th class="checkbox-cell"><input type="checkbox"></th>
			<th><?php esc_html_e( 'Product Name' ); ?></th>
			<th><?php esc_html_e( 'SKU', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Categories', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Message', 'etcpf_langstring' ); ?></th>
		</tr>
		</tfoot>
	</table>
</div>

<?php
if ( $data['error_product_count'] > 0 ) {
	?>

	<table id="error-product-table" class="cp-list-table widefat striped main-table">
		<thead>
		<tr>
			<th><?php esc_html_e( 'Type', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Message', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Error Code | Details', 'etcpf_langstring' ); ?></th>
			<th><?php esc_html_e( 'Action', 'etcpf_langstring' ); ?></th>
		</tr>
		</thead>

		<tbody>
		<tr>
			<?php
			if ( is_array( $data )
			&& count( $data['errortypes'] ) > 0
			) {
				foreach ( $data['errortypes'] as $key => $datum ) {
					?>
			<td 
					<?php
					if ( $datum->error_status == -1 ) {
						echo "style='color:red';";
					} else {
						echo "style='color:orange';";
					}
					?>
			 >
					<?php
					if ( $datum->error_status == -1 ) {
						echo 'Error';
					} elseif ( $datum->error_status == 0 ) {
						echo 'Warning';
					} else {
						echo 'All Good';
					}
					?>
				</td>
			<td 
					<?php
					if ( $datum->error_status == -1 ) {
						echo "style='color:red';";
					} else {
						echo "style='color:orange';";
					}
					?>
			 ><?php echo esc_html( $datum->message ); ?></td>
			<td><a target="_blank"
				   href="<?php echo esc_url( 'http://docs.exportfeed.com/error_doc.php?id=' . $datum->error_code ); ?>"><?php echo esc_html( $datum->error_code ); ?>
					| </a><a target="_blank"
							 href="<?php echo esc_url( 'http://docs.exportfeed.com/error_doc.php?id=' . $datum->error_code ); ?>">See
					details and how to resolve</a></td>
			<td>
				<a id="<?php echo esc_html( $datum->error_code ); ?>"
				   onclick="return etcpf_showproductresolutionfield('product-attributes-add_<?php echo esc_html( $datum->error_code ); ?>');"
				   class="edit-error"
				   href="javascript:void(0)">Resolve</a>
			</td>
		</tr>
		<tr id="product-attributes-add_<?php echo esc_html( $datum->error_code ); ?>"
			style="display: none; background-color: #dcdcdc8a;"
			class="product_attribute_table resolvable">
			<td class="inside-product-table" colspan="5">
				<div class="">
					<div class="inside">
						<div>
							<label class="error-label" style="display: block;"> It is always best to resolve
								attributes value in product level. Use the bulk action to resolve the
								error
								at once.From here you can change the missing attribute at once by providing the
								missing
								value or you can select the desired categories you want to change from the
								dropdown. </label>
						</div>
						<div class="all-products-table" style="width: 100%; margin: 0 auto;">
							<table id="table_<?php echo esc_html( $datum->error_code ); ?>"
								   class="cp-list-table striped widefat suzandontable error-resolve-table">
								<thead>
								<tr>
									<th class="checkbox-cell"><input
												onclick="return etcpf_select_all_productschk('<?php echo esc_html( $datum->error_code ); ?>',this);"
												type="checkbox"></th>
									<th><?php esc_html_e( 'Products', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Error Type', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Action', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Category', 'etcpf_langstring' ); ?></th>
								</tr>
								</thead>
								<tbody>
								<?php
								$products = $this->getproductbyErrorCode( $feed_id, $datum->error_code );
								if ( array( $products ) && count( $products ) > 0 ) {
									foreach ( $products as $key => $product ) {
										// $this->getProductEditUrl($product->p_id);
										?>
										<tr id="row_<?php echo esc_html( $product->p_id . '_' . $product->error_code ); ?>">
											<td class="checkbox-cell"><input type="checkbox" name="select[]"
																			 value="<?php echo esc_html( $product->p_id ); ?>">
											</td>
											<td><?php echo esc_html( $product->p_name ); ?>
											</td>
											<td><?php echo esc_html( $product->message ); ?></td>
											<?php $ID = ( $product->parent_id ? $product->parent_id : $product->p_id ); ?>
											<td><a class='edit-error'
												   onclick="return etcpf_showEditBox(this,'<?php echo esc_attr( $product->p_id ); ?>','<?php echo esc_html( $datum->error_code ); ?>');"
												>Edit in Product</a>
												<div style="display:none;" class="error-resolve-div-pep"
													 id="edit_product_<?php echo esc_html( $product->p_id . '_' . $datum->error_code ); ?>">
													<input type="text" class="" value=""
														   placeholder=" Enter <?php echo esc_html( $this->getAttributeNameByCode( $datum->error_code ) ); ?> value"/>
													<p class="actions">
														<button type="submit" id="fuckuptest" value="submit"
																onclick="return etcpf_AssignProductValueinWoo(this,'<?php echo esc_html( $product->p_id ); ?>','<?php echo esc_html( $datum->error_code ); ?>','<?php echo esc_html( $feed_id ); ?>');">
															✓
														</button>
														<button type="submit" class="edit-cancel-button-xttpy"
																value="cancel">✗
														</button>
													</p>
												</div>
											</td>
											<td>
												<?php
												echo esc_html( $product->prod_categories );
												?>
											</td>
										</tr>
										<?php
									}
								}
								?>
								</tbody>
								<tfoot>
								<tr>
									<th class="checkbox-cell"><input
												onclick="return etcpf_select_all_productschk('<?php echo esc_html( $datum->error_code ); ?>',this);"
												type="checkbox"></th>
									<th><?php esc_html_e( 'Products', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Error Type', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Action', 'etcpf_langstring' ); ?></th>
									<th><?php esc_html_e( 'Category', 'etcpf_langstring' ); ?></th>
								</tr>
								</tfoot>
							</table>
						</div>
						<div class="bulk-section">
							<span id="table_<?php echo esc_html( $datum->error_code ); ?>-count-span"
								  style="vertical-align: baseline;"></span>
							<input type="text" id="resolvation_value_<?php echo esc_html( $datum->error_code ); ?>"
								   name="attribute_value>" data-error_code="<?php echo esc_html( $datum->error_code ); ?>"
								   placeholder="Enter value" style="vertical-align: middle;">
							<input class="button action" id="submit-tek-button-<?php echo esc_html( $datum->error_code ); ?>"
								   onclick="return etcpf_ResolesubmitbuttonCall('<?php echo esc_html( $datum->error_code ); ?>')"
								   type="submit" value="Apply" id="submit" name="submit"
								   style="vertical-align: middle;">
						</div>
					</div>
			</td>
		</tr>
					<?php
				}
			}
			?>
		</tbody>

	</table>

<?php } ?>
<input type="hidden" name="local_category_display" class="text_big" id="local_category_display"
	   onclick="etcpf_showGLocalCategories('Etsy')" value="" autocomplete="off" readonly="true"
	   placeholder="Click here to select your categories">
<input type="hidden" name="local_category" id="local_category" value="<?php echo esc_attr( $feed_local_category ); ?>">

<input type="hidden" name="etsy_category_display" class="text_big" id="etsy_category_display"
	   onclick="etcpf_showEtsyCategories('Etsy','default')" value="" autocomplete="off" readonly="true"
	   placeholder="Click here to select your categories">
<input type="hidden" name="remote_category" id="remote_category" value="<?php echo esc_attr( $feed_remote_category ); ?>">
<input type="hidden" id="etsy-category-path" name="category_path" value="<?php echo esc_attr( $feed_category_names ); ?>">
<input type="hidden" id="etsy-taxonomy-path" name="taxonomy_path" value="<?php echo esc_attr( $feed_etsy_taxonomy ); ?>">
<input type="hidden" name="feed_filename" id="feed_filename_default" class="text_big"
	   value="<?php echo esc_attr( $feed_name ); ?>">
<input id="feedidinput" type="hidden" name="feed_id" value="<?php echo isset( $_REQUEST['feed_id'] ) ? esc_attr( sanitize_text_field( wp_unslash( $_REQUEST['feed_id'] ) ) ) : ''; ?>">
</div>
<?php if ( $data['error_product_count'] > 0 ) { ?>
	<script>
		jQuery(window).load(function () {
			jQuery("#error-free-product-table_wrapper").hide();
		});
	</script>
<?php } else { ?>
	<script>
		jQuery(window).load(function () {
			jQuery(".view-all").trigger("click");
		});
	</script>
<?php } ?>

<?php
if ( get_option( 'ETCPF_RESOLVED' ) == 'yes' ) {
	?>
	<script>
		jQuery(window).load(function () {
			jQuery('#no-error-popup-modal').show();
		});
	</script>
<?php } ?>

<script type="text/javascript">
	jQuery(document).ready(function () {
		jQuery('table.suzandontable').DataTable({
			drawCallback: function () {
				jQuery('.paginate_button:not(.disabled)', this.api().table().container())
					.on('click', function () {
						jQuery("#" + jQuery(this).attr('aria-controls')).find("input[type=checkbox]").attr('checked', false);
						jQuery("#" + jQuery(this).attr('aria-controls') + '-count-span').html('');
					});
			},
			"order": [[0, null]],
		});
		jQuery('.categoryfilter').children('select').css({'margin-left': '220%'});
	});

	jQuery(window).load(function () {
		jQuery("#myBtn").click(function () {
			jQuery('#no-error-popup-modal').show();
		});
		jQuery('.close').click(function () {
			jQuery('#no-error-popup-modal').hide();
		});
	});

	jQuery(".edit-cancel-button-xttpy").on('click', function () {
		jQuery(this).closest('tr').find("input[type=checkbox]").attr('checked', false);
		jQuery(".error-resolve-div-pep").hide();
	});

	jQuery("#error-free-product-table").on("click", '.all-products-tab-edit-error', function (e) {
		t =this;
		let target = jQuery(this).attr('data-target');
		let pid = jQuery(this).attr('data-target');
		let feed_id = jQuery(this).attr('data-feed_id');
		etcpf_fetchResolveSection(feed_id,pid,target);
		return;
	});

	jQuery(document).on("click", '.insideerror-each-type', function () {
		jQuery('.div-for-input').hide();
		jQuery(this).next('div').toggle();
	});

	function etcpf_closeProductEditBox(selector) {
		jQuery('.error-resolve-div-pep').hide();
	}

</script>
<div id="no-error-popup-modal" class="modal postbox">
	<div class="modal-content">
		<span class="close">&times;</span>
		<img src="<?php echo esc_url( ETCPF_IMAGE_PATH ); ?>/checked.png">
		<label>All products error are resolved. Click to regenerate feed to create error free feed.</label>
		<label><a href="javascript:void(0);"
				  onclick="return etcpf_googledoGetFeed('Etsy' , this,true);">Regenerate-feed</a></label>
	</div>
</div>
