<?php
	$iconurl = plugins_url( '/../../../images/exf-sm-logo.png', __FILE__ );
?>
<div class="etcpf_card etcpf_card_sticky etcpf_card_sticky--header">
	<div class="etcpf_card_body">
		<div class="etcpf_logo_wrapper">
			<a target="_blank" href="http://www.exportfeed.com">
				<img class="exf-logo-style" src='<?php echo esc_url( $iconurl ); ?>' alt="shopping cart logo">
			</a>
			<div class="d-flex ai-c flex-wrap">
				<span>
					Version: <?php echo esc_html( ETCPF_PLUGIN_VERSION ) . etcpf_version(); ?> &nbsp;&nbsp;&nbsp;&nbsp;
				</span>
				<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
					<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
				</button>
			</div>
		</div>
	</div>
</div>
<div style="display: none;" id="ajax-loader-cat-import"><span id="gif-message-span"></span></div>
<div class="etcpf-upload-block">
	<div class='etcpf_page_heading etcpf_page_heading_withButton'>
		<h3>
			Etsy Variation Profiling
		</h3>
		<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
			<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
		</button>
	</div>
	<form id="regForm" action="" method="post">
		<div class="draggable_section">
			<div class="divider col-md-8">
				<div class="form-group col-md-12 mt-2">
					<label class="col-md-3" for="profile_name">Profile Name</label>
					<input class="col-md-9" type="text" name="profile_name"
						   value="<?php echo esc_attr( $profile[0]->profile_name ); ?>" required>

					<input type="hidden" name="current_profile_name" value="<?php echo esc_attr( $profile[0]->profile_name ); ?>">
				</div>
				<div class="form-group col-md-12 mt-2">
					<label class="col-md-3" for="attribute-seperator">Separtor</label>
				<input type="text" id="select-separator" name="attribute-seperator" value="<?php echo esc_attr( $profile[0]->attribute_seperator ); ?>">
				</div>

				<input id="sorted-attribute" type="hidden" name="sorted_attributes"
					   value="<?php echo esc_attr( implode( ',', $product_attributes ) ); ?>">
				<div class="container-table col-md-12 mt-2">
					<label class="col-md-3" for="name">Variations</label>
					<form class="col-md-9" method="post">
						<select id="select-display">
							<option value="0">Select a Variation</option>
							<?php
							foreach ( $all_product_attributes as $key => $value ) {
								?>
								<option id="attribute-selection-option-<?php echo esc_attr( $value ); ?>" value="<?php echo esc_attr( $value ); ?>"><?php echo esc_attr( $value ); ?></option>
							<?php } ?>
						</select>
					</form>
					<table class="table wp-list-table widefat fixed striped ui-sortable col-md-offset-3" id="tablelist"
						   style="width: 75%; float: right;">
						<thead>
						<tr>
							<th></th>
							<th>Prefix</th>
							<th>Attribute</th>
							<th>Suffix</th>
							<th>Remove</th>
						</tr>
						</thead>
						<tbody style="overflow: paged-y;">
						<?php
						foreach ( $profile as $key => $value ) {
							if ( isset( $value->variation_attribute ) ) {
								?>
								<tr id="<?php echo esc_html( str_replace( ' ', '_space_', $value->variation_attribute ) ); ?>" class="ui-sortable-handle">
									<td>
										<img src="<?php echo esc_url( ETCPF_URL ); ?>images/move.png"
											 id="drag" alt=""></td>
									<td><input class="variation-attribute-prefix" type="text" placeholder="eg: sup"
											name="prefix_<?php echo esc_html( str_replace( ' ', '_space_', $value->variation_attribute ) );?>"
											value="<?php echo esc_attr( $value->prefix ); ?>"></td>
									<td><?php echo esc_html( $value->variation_attribute ); ?></td>
									<td><input class="variation-attribute-suffix" type="text" placeholder="eg: dup"
											name="suffix_<?php echo esc_html( str_replace( ' ', '_space_', $value->variation_attribute ) ); ?>"
											value="<?php echo esc_attr( $value->suffix ); ?>"></td>
									<td>
										<button type="button" data-id="<?php echo esc_attr( $value->id ); ?>"
												class="button deletebtn">
											Remove
										</button>
									</td>
								</tr>
							<?php } else { ?>
								<tr>
									<td colspan="4" id="no-data-td" style="text-align: center;">No Data Found</td>
								</tr>
								<?php
							}
						}
						?>

						</tbody>
					</table>
				</div>
			</div>
		<?php
		$seperator = etcpf_get_etsy_settings( 'variation_seperation' );
		if ( isset( $product_attributes ) && count( $product_attributes ) > 0 ) {
			?>
			<div class="variation_right col-md-4">

				<div class="variation-selection-info-div">
					Attributes are added on the table based on your selection. You can remove unnecessary attributes from the table and also move the attribute rows up and down to sort the attributes.
				</div>

				<table class="tbl_variation_right">
					<thead id="variation-head">
					<tr>
						<th>
							Variation attribute Order
						</th>
					</tr>
					</thead>
					<tbody id="variation-body">

					<?php
					$valueFormed     = '';
					$attributeFormed = '';
					foreach ( $profile as $key => $item ) {
						$attributeFormed .= $item->variation_attribute;
						$valueFormed     .= $item->prefix . $item->variation_attribute . ' value' . $item->suffix;
						if ( $key < count( $profile ) - 1 ) {
							$attributeFormed .= $item->attribute_seperator;
							$valueFormed     .= $item->attribute_seperator;
						}
					}
					?>

					<tr>
						<td><?php echo esc_html( $attributeFormed ); ?></td>
					</tr>
					</tbody>
					<thead id="result-head">
						<tr>
							<th>Result</th>
						</tr>
					</thead>
					<tbody id="result-body">
					<tr>
						<td><?php echo esc_html( $valueFormed ); ?></td>
					</tr>
					</tbody>
				</table>

			</div>
		<?php } ?>
		<?php wp_nonce_field( 'exportfeed_etsy', 'exportfeed_etsy_cpf' ); ?>
			<div class="form-group col-md-10">
				<input id="profile-submitter" class="col-md-2" type="submit" name="Submit" value="submit">
			</div>

		</div>
	</form>
</div>


<?php
	wp_register_script( 'etsy-export-feed-edit-profile', plugins_url( '../../../js/profile/edit_profile.js', __FILE__ ), array( 'jquery' ), ETCPF_PLUGIN_VERSION );
	wp_enqueue_script( 'etsy-export-feed-edit-profile' );
?>
