<?php
	$iconurl = plugins_url( '/../../../images/exf-sm-logo.png', __FILE__ );
?>
<div class="etcpf_card etcpf_card_sticky etcpf_card_sticky--header">
	<div class="etcpf_card_body">
		<div class="etcpf_logo_wrapper">
			<a target="_blank" href="http://www.exportfeed.com">
				<img class="exf-logo-style" src='<?php echo esc_url( $iconurl ); ?>' alt="shopping cart logo">
			</a>
			<div class="d-flex ai-c flex-wrap">
				<span>
					Version: <?php echo esc_html( ETCPF_PLUGIN_VERSION ) . etcpf_version(); ?> &nbsp;&nbsp;&nbsp;&nbsp;
				</span>
				<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
					<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
				</button>
			</div>
		</div>
	</div>
</div>
<div class="etcpf-upload-block w-100 m-0" style="max-width: 100%">
	<div class='etcpf_page_heading etcpf_page_heading_withButton'>
		<h3>
		Etsy Variation Profiles
		</h3>
		<div class="btn-wrapper">
			<a class=" btn btn-outline-primary btn-sm" href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-profiling&action=add_new' ) ); ?>">Add New</a>
		</div>
	</div>
	<form id="regForm" action="javascript:void(0);">
		<?php
		if ( isset( $_SESSION['etcpf_profile_message'] ) ) {
			?>
			<p style="padding: 10px 24px; background-color: #f0f8ff;">
			<?php
				echo esc_html( sanitize_text_field( wp_unslash( $_SESSION['etcpf_profile_message'] ) ) );
				unset( $_SESSION['etcpf_profile_message'] );
			?>
				</p>
		<?php } ?>
		<div class="draggable_section">
			<table class="table table-bordered table-striped etcpf_profile_page_table" id="etcpf_profile_page_table" style="height: auto;">
				<thead style="width: calc( 100% - 1em )">
				<tr>
					<th>ID</th>
					<th>Name</th>
					<th>Variation Instance</th>
					<th>Action</th>
				</tr>
				</thead>

				<tbody class="ui-sortable" style="max-height: 720px;">

				<?php
				if ( isset( $profiles ) && is_array( $profiles ) && count( $profiles ) > 0 ) {
					foreach ( $profiles as $key => $profile ) {
						?>
						<tr id="<?php echo esc_html( $profile->id ); ?>" class="ui-sortable-handle">
							<td><?php echo esc_html( $profile->id ); ?></td>
							<td><?php echo esc_html( $profile->profile_name ); ?></td>
							<td>
								<?php
								$html = '<br>';
								echo 'Variation Attributes: ' . esc_html( str_replace( ',', $profile->attribute_seperator, implode( ',', $profile->variations ) ) );
								foreach ( $profile->variations as $k => $variation ) {
									$html .= $profile->prefix[ $k ] . $variation . ' value' . $profile->suffix[ $k ];
									if ( count( $profile->variations ) - 1 > $k ) {
										$html .= $profile->attribute_seperator;
									}
								}
								echo '<br>Variation value formed: ' . wp_kses( $html, etcpf_kses_criteria() );
								?>
							</td>
							<td>
								<span><a class="button"
										 href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-profiling&action=edit&id=' . $profile->id ) ); ?>">Edit</a></span>

								<span><a id="profile-deletion-button" class="button"
										 href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-profiling&action=delete&id=' . $profile->id ) ); ?>">Delete</a></span>
							</td>
						</tr>
						<?php
					}
				} else {
					?>
					<tr>
						<td style="text-align: center;" colspan="4"> No Profiles Found</td>
					</tr>
				<?php } ?>
				</tbody>
			</table>
		</div>
	</form>
</div>

<script>
	(function ($) {
		$(document).on('click', '#profile-deletion-button', function (event) {
			event.preventDefault();
			r = confirm("Are you sure you want to delete this profile ?");
			if (r === true) {
				location.replace($(this).attr('href'));
			}
		})

		jQuery(document).on('click', '#profiling-add-new-btn', function(event){
			event.preventDefault();
			location.replace(window.location.protocol +'//'+ window.location.host + '/wp-admin/admin.php?page=etsy-export-feed-profiling&action=add_new');
		})
	})(jQuery)
</script>
