<style type="text/css">
	.current a {
		cursor: pointer;
	}
</style>
<?php
require_once plugin_dir_path( __FILE__ ) . '/../../etsy-export-feed-wpincludes.php';

$iconurl         = plugins_url( '/../../images/exf-sm-logo.png', __FILE__ );
$gts_iconurl     = plugins_url( '/../../images/gts-logo.png', __FILE__ );
$class           = '';
$onclick         = '';
$href            = '#';
$login_text      = 'Connected to Etsy';
$connect_to_etsy = 'Connected to Etsy';
$authorize_text  = 'Authorization';
$shipping_text   = 'Configure Shipping';
$stage           = get_option( 'etcpf_stage' );
$url             = get_option( 'etcpf_login_url' );
$state           = 'draft';
if ( null == $this->api_key ) {
	$this->get_credentials();
}
?>
<div class="etcpf_card etcpf_card_sticky etcpf_card_sticky--header">
	<div class="etcpf_card_body">
		<div class="etcpf_logo_wrapper">
			<a target="_blank" href="http://www.exportfeed.com">
				<img class="exf-logo-style" src='<?php echo esc_url( $iconurl ); ?>' alt="shopping cart logo">
			</a>
			<div class="d-flex ai-c flex-wrap">
				<span>
					Version: <?php echo esc_html( ETCPF_PLUGIN_VERSION ) . etcpf_version(); ?> &nbsp;&nbsp;&nbsp;&nbsp;
				</span>
				<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
					<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
				</button>
			</div>
		</div>
	</div>
</div>

<?php if ( property_exists( $this, 'state' ) && $this->state == 'active' ) { ?>
	<div class="etcpf_alert-wrapper">
		<div id="cost-information" class="etcpf_alert settings-error">
		<p>Etsy charges standard fees for active listings. <a
				href="https://www.etsy.com/legal/fees/" target="_blank">Learn more about charges</a> . You can
			go to configuration page and change state to Draft in order to prevent charges.</p>
		</div>
	</div>
<?php } ?>
<?php if ( isset( $_REQUEST['tab'] ) || ( isset( $_REQUEST['page'] ) && sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) == 'etsy-export-feed-configure' ) ) { ?>
	<div class='cpf-header'>
		<div class="etcpf_page_heading">
			<h3>
				Etsy Sync
			</h3>
		</div>
	</div>
<?php } ?>
	<?php
	if ( ! defined( 'IMAGE_PATH' ) ) {
		define( 'IMAGE_PATH', plugins_url( '/', __FILE__ ) . '../../images/' );
	}
	$reg = new ETCPF_EtsyValidation();
	if ( $reg->valid ) {
	$lic = '';
	} else {
	$lic = ETCPF_PLicenseKeyDialog::small_registration_dialog( '' );
	}
	?>
	<?php if ( $stage < 5 && $stage > 0 ) { ?>
		<div class="etcpf_stepper_wrapper etcpf_stepper_white">
			<nav>
				<div class="etcpf_stepper">
					<ol class="etcpf_stepper__nav">
						<?php
						if ( $stage == 1 ) {
							$class      = 'current';
							$onclick    = 'etcpf_fetch_login_url(this)';
							$login_text = 'Connect to Etsy';
						} elseif ( $stage > 1 ) {
							$class = 'visited';
						}
						?>
						<li class="<?php echo esc_html( $class ); ?> etcpf_stepper__nav--item">
							<a href="#"  onclick="<?php echo esc_html( $onclick ); ?>"  class="etcpf_stepper__nav--button">
								<span class="etcpf_stepper__nav--name">
									<?php
										echo wp_kses(
											$login_text . etcpf_get_gif_loader(
												'login_token_etsy',
												array(
													'position' => 'absolute',
													'bottom' => '1px',
													'left' => '10px',
												),
												true,
												true
											),
											etcpf_kses_criteria()
										);
									?>
								</span>
							</a>
						</li>
						<?php
						$class = '';
						if ( $stage == 3 ) {
							$class          = 'current';
							$authorize_text = 'Authorization';
							$onclick        = 'etcpf_authorize()';
						} elseif ( $stage > 3 ) {
							$authorize_text = 'Authorized';
							$class          = 'visited';
						}
						?>
						<li class="<?php echo esc_html( $class ); ?> etcpf_stepper__nav--item">
							<a class="authorize_etsy_token etcpf_stepper__nav--button" href="#" onclick="<?php echo esc_html( $onclick ); ?>">
								<span class="etcpf_stepper__nav--name">
								<?php
									echo wp_kses(
										$authorize_text . etcpf_get_gif_loader(
											'authorize_token_etsy',
											array(
												'position' => 'absolute',
												'bottom'   => '1px',
												'right'    => '-10px',
											),
											true,
											true
										),
										etcpf_kses_criteria()
									);
								?>
								</span>
							</a>
						</li>
						<?php
						$class = '';
						if ( $stage == 4 ) {
							$class         = 'current';
							$shipping_text = 'Configure Shipping';
							$href          = '?page=etsy-export-feed-configure&tab=settings';
						} elseif ( $stage > 4 ) {
							$class = 'visited';
						}
						?>
						<li class="<?php echo esc_html( $class ); ?> etcpf_stepper__nav--item">
							<a class="etcpf_shipping etcpf_stepper__nav--button" href="<?php echo esc_url( $href ); ?>">
								<span class="etcpf_stepper__nav--name">
								<?php echo esc_html( $shipping_text ); ?>
								</span>
							</a>
						</li>
					</ol>
				</div>
			</nav>
		</div>
	<?php } ?>

<?php
if ( $_REQUEST['page'] == 'etsy-export-feed-configure' && ! isset( $_REQUEST['tab'] ) ) {
	echo wp_kses( $lic, etcpf_kses_criteria() );}
?>
<div style="clear:both"></div>
<?php if ( ! $reg->php_version ) { ?>
	<div class="update-nag" style="color:red">
		<p>Warning: PHP version less than 3.0 detected. Please upgrade to higher version to use this plugin for better performance.</p>
	</div>
<?php } ?>

<?php if ( ! $reg->cureDetect ) { ?>
<div class="update-nag" style="color:red">
	<p>Warning: PHP function curl not detected. You might face problems while creating and uploading feeds. Please upgrade your PHP to 5.3 or greater version.</p>
</div>
<?php } ?>
