<?php
if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	return;
}
// Create an instance of our package class...
$testListTable = new ETCPF_Product_Uploaded();
// Fetch, prepare, sort, and filter our data...
$testListTable->etcpf_prepare_items();
$msg = 'Your uploaded listings are shown below';
if ( isset( $_REQUEST['msg'] ) ) {
	$msg = sanitize_text_field( wp_unslash( $_REQUEST['msg'] ) );
	switch ( $_REQUEST['msg'] ) {
		case 'a':
			$msg = 'Products are uploaded. Please check you shop in Etsy.';
			break;
		case 'b':
			$msg = 'Products failed to upload. Please check the listing below to see the errors.';
			break;
		case 'd':
			$msg = 'Product are deleted successfully but not from Etsy Store.';
			break;
		case 'de':
			$msg = 'Product are deleted successfully as well from Etsy Store.';
			break;
		case 'e':
			$msg = isset( $_REQUEST['title'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['title'] ) ) : '' . ' is now active in your Etsy shop';
			break;
		case 'f':
			$msg = isset( $_REQUEST['title'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['title'] ) ) : '' . ' is now inactive in your Etsy shop';
			break;
		case 'g':
			$msg = 'Listings are now active in Etsy shop.';
			break;
		case 'u':
			$msg = 'Selected Variation uploaded successfully.';
			break;
		case 'l':
			$msg = 'Product Upload limit Exceeded. Please update you license.';
		case 'np':
			$msg = 'No Product Selected, for update.';
			break;

		default:
			$msg = $msg;
	}
}
?>
<!-- Header -->
	<?php etcpf_info();?>
<!-- Header -->
<div class="wrap m-0">
	<div class='etcpf_page_heading'>
		<h3>
			Etsy Listings Detail
		</h3>
	<form id="etcpf-uploaded-product-filter" method="get">
		<input type="hidden" name="page" value="<?php echo isset( $_REQUEST['page'] ) ? esc_attr( sanitize_text_field( wp_unslash( $_REQUEST['page'] ) ) ) : ''; ?>"/>
		<?php
			$testListTable->display();
		?>
	</form>

</div>

<script type="text/javascript">
	jQuery(document).ready(function () {
		jQuery('a.activate_in_etsy').click(function (e) {
			var activation = confirm('Do you want this item to be active in you Etsy Shop?');
			if (!activation) {
				e.preventDefault();
				return;
			}

		});
	});
</script>
