<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Exit if accessed directly
if ( ! is_admin() ) {
	die( 'Permission Denied!' );
}
define( 'ETCPF_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
/**
 * Required admin files
 */
require_once 'etsy-export-feed-setup.php';
/**
 * Hooks for adding admin specific styles and scripts
 */

add_action( 'admin_enqueue_scripts', 'etcpf_gtcpf_styles_and_scripts_register' );
function etcpf_gtcpf_styles_and_scripts_register( $hook ) {
	if ( ! strchr( $hook, 'etsy-export-feed' ) ) {
		return;
	}

	wp_register_style( 'etsy-export-feed-style', plugins_url( 'css/etsy-export-feeds.css', __FILE__ ) );
	wp_enqueue_style( 'etsy-export-feed-style' );
	$protocol = is_ssl() ? 'https://' : 'http://';
	wp_register_style( 'etcpf-progress-tacker-font', $protocol . 'fonts.googleapis.com/css?family=Source+Sans+Pro:400,700' );
	wp_enqueue_style( 'etcpf-progress-tacker-font' );

	wp_register_style( 'etcpf-progress-tacker-reset', plugins_url( 'css/progress-reset.css', __FILE__ ) );
	wp_enqueue_style( 'etcpf-progress-tacker-reset' );

	wp_register_style( 'etcpf-progress-tacker-style', plugins_url( 'css/progress-style.css', __FILE__ ) );
	wp_enqueue_style( 'etcpf-progress-tacker-style' );

	wp_register_script( 'etcpf-progress-tacker-modernizer', plugins_url( 'js/progress-modernizr.js', __FILE__ ), array( 'jquery' ), ETCPF_PLUGIN_VERSION );
	wp_enqueue_script( 'etcpf-progress-tacker-modernizer' );

	wp_register_style( 'etsy-export-feed-colorstyle', plugins_url( 'css/etcpf_colorbox.css', __FILE__ ), '', ETCPF_PLUGIN_VERSION );
	wp_enqueue_style( 'etsy-export-feed-colorstyle' );

	wp_register_script( 'etsy-export-feed-script', plugins_url( 'js/etsy-export-feeds.js', __FILE__ ), array( 'jquery' ), ETCPF_PLUGIN_VERSION );
	wp_enqueue_script( 'etsy-export-feed-script' );

	wp_register_script( 'etsy-export-feed-order-script', plugins_url( 'js/etcpf-etsy-order-fetch.js', __FILE__ ), array( 'jquery' ), ETCPF_PLUGIN_VERSION );
	wp_enqueue_script( 'etsy-export-feed-order-script' );

	wp_register_script( 'etsy-export-feed-script-datable', plugins_url( 'js/DataTables/datatables.js', __FILE__ ), array( 'jquery' ), ETCPF_PLUGIN_VERSION );
	wp_enqueue_script( 'etsy-export-feed-script-datable' );
	// Datatables attributes
	wp_register_style( 'etsy-export-feed-script-datatable', plugins_url( 'js/DataTables/datatables.css', __FILE__ ), '', ETCPF_PLUGIN_VERSION );
	wp_enqueue_style( 'etsy-export-feed-script-datatable' );
	wp_register_style( 'etsy-export-feed-style-main', plugins_url( 'build/index.css', __FILE__ ) );
	wp_enqueue_style( 'etsy-export-feed-style-main' );

	// Localizing the script
	wp_localize_script(
		'etsy-export-feed-script',
		'ETCPF',
		array(
			'ETCPF_nonce'                    => wp_create_nonce( 'exportfeed_etsy_cpf' ),
			'cmdFetchCategory'               => 'core/ajax/wp/fetch-category.php',
			'cmdpeekListingVariations'       => 'core/ajax/wp/fetch-variations.php',
			'cmdFetchCategory_custom'        => 'core/ajax/wp/fetch-category-custom.php',
			'cmdFetchLocalCategories'        => 'core/ajax/wp/fetch-local-categories.php',
			'cmdFetchLocalCategories_custom' => 'core/ajax/wp/fetch-local-categories-custom.php',
			'cmdFetchTemplateDetails'        => 'core/ajax/wp/fetch-template-details.php',
			'cmdGetFeed'                     => 'core/ajax/wp/get-feed.php',
			'cmdGetCustomFeed'               => 'core/ajax/wp/get-custom-feed.php',
			'cmdGetcustomfeed_etsy'          => 'core/ajax/wp/get-custom-feed.php',
			'cmdGetFeedStatus'               => 'core/ajax/wp/get-feed-status.php',
			'cmdMappingsErase'               => 'core/ajax/wp/attribute-mappings-erase.php',
			'cmdSearsPostByRestAPI'          => 'core/ajax/wp/sears_post.php',
			'cmdSelectFeed'                  => 'core/ajax/wp/select-feed.php',
			'cmdSetAttributeOption'          => 'core/ajax/wp/attribute-mappings-update.php',
			'cmdSetAttributeUserMap'         => 'core/ajax/wp/attribute-user-map.php',
			'cmdUpdateAllFeeds'              => 'core/ajax/wp/update-all-feeds.php',
			'cmdUpdateSetting'               => 'core/ajax/wp/update-setting.php',
			'cmdUploadFeed'                  => 'core/ajax/wp/upload_feed.php',
			'cmdUploadFeedStatus'            => 'core/ajax/wp/upload_feed_status.php',
			'cmdUpdateFeedConfig'            => 'core/ajax/wp/update-feed-config.php',
			'cmdFetchProductAjax'            => 'core/ajax/wp/fetch-product-ajax.php',
			'cmdFetchProductTable'           => 'core/ajax/wp/fetch-product-ajax.php',
			'cmdEtsyProcessings'             => 'core/ajax/wp/fetch_etsy_categories.php',
			'cmdEtsyConnect'                 => 'core/ajax/wp/connect-to-etsy.php',
			'cmdEtsyShop'                    => admin_url( 'admin.php?page=etsy-export-feed-configure' ),
			'cmdEtsyShipping'                => '&tab=settings',
			'cmdEtsyCreateFeed'              => '&tab=createfeed',
			'cmdEtsyConfiguration'           => '&tab=configuration',
			// 'cmdEtsyUploadFeed' => ETCPF_URL . 'core/ajax/wp/etsyupload.php',
			'cmdEtsyUploadData'              => ETCPF_URL . 'core/ajax/wp/upload-to-etsy.php',
			'plugins_url'                    => ETCPF_URL,
			'cmdUploadListing'               => 'core/ajax/wp/upload_listings.php',
			'cmdFetchLoginURL'               => 'core/ajax/wp/fetch_login_url_token.php',
			'cmdAuthorizeURL'                => 'core/ajax/wp/authorize_etsy_token.php',
			'cmdUpdateItem'                  => 'core/ajax/wp/update_listing_item.php',
			'cmdUploadStatus'                => 'core/ajax/wp/update_and_upload_status.php',
			'cmdEtsyUploadFeed'              => 'core/ajax/wp/do_upload_feed.php',
			'cmdResolveFeed'                 => 'core/ajax/wp/do_resolvefeed.php',
			'cmdResolveProcess'              => 'core/ajax/wp/Etcpf_ResolveFeed.php',
			'cmdSearchProduct'               => 'core/ajax/wp/ETCPF_Product_Search.php',
			'cmdOrderFectch'                 => 'core/ajax/wp/etsy-order-fetch.php',
			'cmdsettingsUpdate'              => 'core/ajax/wp/etsy-settings.php',
			'cmdOnboardingSettingsUpdate'    => 'core/ajax/wp/etsy-onboarding-settings.php',
			'cmdUpdateOption'                => 'core/ajax/wp/etsy-update-option.php',
			'cmdlanguageUpdate'              => 'core/ajax/wp/etsy-language-update.php',
			'cmdsinglevariationpreparation'  => 'core/ajax/wp/singlevariatedproductuploadprepare.php',
			'cmd_profiling_ajax_handler'     => 'core/ajax/wp/etcpf_profiling_ajax_handler.php',
			'cmd_get_order_details'          => 'core/ajax/wp/get_order_details.php',
			'cmd_purge_shop_data'            => 'core/ajax/wp/purge-shop-data.php',
		)
	);

	wp_register_script( 'google-merchant-etcpf_colorbox', plugins_url( 'js/jquery.etcpf_colorbox-min.js', __FILE__ ), array( 'jquery' ) );
	wp_enqueue_script( 'google-merchant-etcpf_colorbox' );
	wp_register_script( 'bootstrap', plugins_url( 'build/bootstrap.js', __FILE__ ), array( 'jquery' ) );
	wp_enqueue_script( 'bootstrap' );
	wp_enqueue_script( 'jquery-ui-sortable' );
}

if ( isset( $_POST['action'] ) && $_POST['action'] == 'exportfeed_etsy' ) {
	add_action( 'wp_ajax_exportfeed_etsy', 'etcpf_gtcpf_all_ajax_handle' );
}

if ( isset( $_GET['action'] ) && $_GET['action'] == 'exportfeed_etsy' ) {
	add_action( 'wp_ajax_exportfeed_etsy', 'etcpf_gtcpf_all_ajax_handle' );
}

/*
 * Adding bulk action in product page
 * */
require_once 'etcpf-product-listing.php';

function etcpf_gtcpf_all_ajax_handle() {
	$nonce = '';
	if ( isset( $_GET['security'] ) ) {
		$nonce = sanitize_text_field( wp_unslash( $_GET['security'] ) );
	} elseif ( isset( $_POST['security'] ) ) {
		$nonce = sanitize_text_field( wp_unslash( $_POST['security'] ) );
	}
	if ( ! wp_verify_nonce( $nonce, 'exportfeed_etsy_cpf' ) ) {
		die( 'Permission Denied!' );
	} else {
		$feedpath = '';
		if ( isset( $_POST['feedpath'] ) ) {
			$feedpath = sanitize_text_field( wp_unslash( $_POST['feedpath'] ) );
		} elseif ( isset( $_GET['feedpath'] ) ) {
			$feedpath = sanitize_text_field( wp_unslash( $_GET['feedpath'] ) );
		}
		include_once plugin_dir_path( __FILE__ ) . $feedpath;
	}
	wp_die();
}

/**
 * Add menu items to the admin
 */
function etcpf_gtcpf_admin_menu() {
	/* add new top level */
	add_menu_page(
		esc_html__( 'Etsy Feed', 'etsy-exportfeed-strings' ),
		esc_html__( 'Etsy Feed', 'etsy-exportfeed-strings' ),
		'manage_options',
		'etsy-export-feed-configure',
		'etcpf_etsy_configuration',
		plugins_url( '/images/google-merchant.png', __FILE__ )
	);

	/* add the submenus */
	$shop_connected   = get_option( 'etcpf_connected_to_shop' );
	$connection_state = get_option( 'etcpf_stage' );
	if ( isset( $shop_connected ) && $shop_connected == 1 && $connection_state == 5 ) {
		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'My Etsy Shop', 'etsy-exportfeed-strings' ),
			esc_html__( 'My Etsy Shop', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-configure',
			'etcpf_etsy_configuration'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Create New Feed', 'etsy-exportfeed-strings' ),
			esc_html__( 'Create New Feed', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-admin',
			'etcpf_admin_page'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Manage Feeds', 'etsy-exportfeed-strings' ),
			esc_html__( 'Manage Feeds', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-manage',
			'etcpf_manage_page'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Uploaded Listings', 'etsy-exportfeed-strings' ),
			esc_html__( 'Uploaded Listings', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-upload',
			'etcpf_etsy_upload'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Shipping Configuration', 'etsy-exportfeed-strings' ),
			esc_html__( 'Shipping Configuration', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-shipping',
			'etcpf_etsy_shipping'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Etsy Orders', 'etsy-exportfeed-strings' ),
			esc_html__( 'Etsy Orders', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-order',
			'etcpf_etsy_export_order'
		);

		// add_submenu_page(
		// 'etsy-export-feed-configure',
		// esc_html__( 'Etsy Product List', 'etsy-exportfeed-strings' ),
		// esc_html__( 'Etsy Product List', 'etsy-exportfeed-strings' ),
		// 'manage_options',
		// 'etsy-export-feed-product-list',
		// 'etcpf_etsy_product_list'
		// );

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Variation Profiling', 'etsy-exportfeed-strings' ),
			esc_html__( 'Variation Profiling', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-profiling',
			'etcpf_profiling_page'
		);

		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Settings', 'etsy-exportfeed-strings' ),
			esc_html__( 'Settings', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-setting',
			'etcpf_setting_page'
		);

		add_submenu_page(
			null,
			esc_html__( 'Custom Feed Page', 'etsy-exportfeed-strings' ),
			esc_html__( 'Custom Feed Page', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-custom-feed',
			'etcpf_custom_product_feed'
		);
	} else {
		add_submenu_page(
			'etsy-export-feed-configure',
			esc_html__( 'Connect to Etsy', 'etsy-exportfeed-strings' ),
			esc_html__( 'Connect to Etsy', 'etsy-exportfeed-strings' ),
			'manage_options',
			'etsy-export-feed-configure',
			'etcpf_etsy_configuration'
		);
	}
}

add_action( 'admin_menu', 'etcpf_gtcpf_admin_menu' );
add_action( 'etcpf_init_pageview_etsy', 'etcpf_admin_page_action' );
add_action( 'wp_enqueue_scripts', 'wpb_adding_scripts' );
add_action( 'errorreportpage', 'etcpf_error_report_function' );
add_action( 'etcpf_etsy_report', 'etcpf_listing_report' );
// Add specific CSS class by filter.

add_filter(
	'body_class',
	function( $classes ) {
		return array_merge( $classes, array( 'helloWorld' ) );
	}
);

function etcpf_setting_page() {
	echo '<div class="etcpf_etsy_plugin_content">';

	require_once 'core/classes/ETCPF_settings.php';
	update_option( 'currently_uploading_feed_id', 0 );
	$etsy = new ETCPF_settings();
	$etsy->index();

	echo '</div>';
}

function etcpf_admin_page() {
	require_once 'etsy-export-feed-wpincludes.php';
	include_once 'core/classes/dialogfeedpage.php';
	require_once 'core/feeds/basicfeed.php';
	update_option( 'currently_uploading_feed_id', 0 );
	$etsy = new ETCPF_Etsy();
	if ( null == $etsy->api_key ) {
		$etsy->get_credentials();
	}

	if ( $etsy->mate->count == 0 ) {
		echo '<script>etcpf_call_out_for_account();</script>';
	}
	global $etcore;
	$etcore->trigger( 'etcpf_init_feeds' );

	do_action( 'etcpf_init_pageview_etsy' );
}
/**
 * Create news feed page
 */
function etcpf_admin_page_action() {
	echo '<div class="etcpf_etsy_plugin_content">';
	echo "<div class='wrap'>";
	etcpf_info();
	echo "<div class='cpf-header'>";
	echo "<div class='etcpf_page_heading etcpf_page_heading_withButton'>";
	echo '<h3>Create New Etsy Feed';
	$url         = admin_url( 'admin.php?page=etsy-export-feed-manage' );
	$contact_url = admin_url( 'admin.php?page=etsy-export-feed-admin-contact' );
	echo '</h3>
		<div class="btn-wrapper">
			<input type="button" class="btn btn-outline-primary btn-sm" onclick="document.location=\'' . esc_url( $url ) . '\';" value="' . esc_html__( 'Manage Feeds', 'etsy-exportfeed-strings' ) . '" />
		</div>
		';
	echo '</div></div>';
	// prints logo/links header info: also version number/check
	$active_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : 'createfeed';
	?>
	<?php $reg = new ETCPF_EtsyValidation(); ?>
	<div class="nav-wrapper" style="margin-left: -7px;">
		<nav class="nav-tab-wrapper">
			<a href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-admin&tab=createfeed' ) ); ?>"
			   class="nav-tab <?php echo $active_tab == 'createfeed' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Create Feed', 'etsy-exportfeed-strings' ); ?></a>
			<a href="<?php echo esc_url( $url ); ?>&tab=managefeed"
			   class="nav-tab <?php echo $active_tab == 'managefeed' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Manage Feed', 'etsy-exportfeed-strings' ); ?></a>
			<a href="http://www.exportfeed.com/contact/" target="_blank"
			   class="nav-tab <?php echo $active_tab == 'contactus' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Contact Us', 'etsy-exportfeed-strings' ); ?></a>
			<?php
			$ifpremium = false;
			if ( $reg->results['status'] == 'Active' ) {
				$checklicense = $reg->results;
				$productname  = explode( ':', $checklicense['productname'] );
				if ( strpos( $productname[0], 'Pro' ) !== false ) {
					$ifpremium = true;
				}
			}
			if ( $ifpremium == false ) {
				?>
				<a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank"
				   class="nav-tab"><?php esc_html_e( 'Go Pro', 'etsy-exportfeed-strings' ); ?></a>
			<?php } ?>

			<ul class="subsubsub" style="float: right;">
				<?php if ( $ifpremium == false ) { ?>
					<li><a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank">Go Premium</a> |
					</li>
				<?php } ?>
				<li><a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank">Product Site</a> |
				</li>
				<li><a href="http://www.exportfeed.com/faq/" target="_blank">FAQ/Help</a></li>
			</ul>
		</nav>
	</div>
	<div class="clear"></div>
	<?php
	$action         = '';
	$source_feed_id = -1;
	$feed_type      = -1;
	$progress       = false;
	// WordPress Header ( May contain a message )

	$message2 = null;
	// check action
	if ( isset( $_POST['cmd'] ) ) {
		$action = sanitize_key( $_POST['cmd'] );
	}

	if ( isset( $_GET['cmd'] ) ) {
		$action = sanitize_key( $_GET['cmd'] );
	}

	switch ( $action ) {
		case 'reset_attributes':
			// I don't think this is used -K
			global $wpdb, $woocommerce;
			$attr_table = $wpdb->prefix . 'woocommerce_attribute_taxonomies';
			$sql        = 'SELECT attribute_name FROM ' . $attr_table . ' WHERE 1';
			$attributes = $wpdb->get_results( $sql );
			foreach ( $attributes as $attr ) {
				delete_option( $attr->attribute_name );
			}

			break;
		case 'edit':
			$action         = '';
			$source_feed_id = isset( $_GET['id'] ) ? intval( sanitize_text_field( wp_unslash( $_GET['id'] ) ) ) : '';
			$feed_type      = isset( $_GET['feed_type'] ) ? intval( sanitize_text_field( wp_unslash( $_GET['feed_type'] ) ) ) : '';
			break;

		case 'upload':
			$source_feed_id = isset( $_REQUEST['id'] ) ? intval( sanitize_text_field( wp_unslash( $_REQUEST['id'] ) ) ) : '';
			$etsy           = new ETCPF_Etsy();
			$etsyUpload     = new ETCPF_EtsyUpload();
			$etsyUpload->prepare_the_list_from_feed( $source_feed_id, false );
			$progress = true;
			break;

		case 'report':
			do_action( 'etcpf_etsy_report' );
			break;
	}

	/*
	if (isset($action) && (strlen($action) > 0))
	echo "<script> window.location.assign( '" . admin_url() . "admin.php?page=etsy-export-feed-admin' );</script>";*/
	$reg = new ETCPF_EtsyValidation();
	if ( isset( $_GET['debug'] ) ) {
		$debug = sanitize_text_field( wp_unslash( $_GET['debug'] ) );
		if ( $debug == 'phpinfo' ) {
			phpinfo( INFO_GENERAL + INFO_CONFIGURATION + INFO_MODULES );
			return;
		} elseif ( $debug == 'reg' ) {
			echo '<pre>';
			print_r( $reg );
			echo '</pre>';
			return;
		}
	}
	$chosen_merchant = 'Etsy';
	if ( isset( $_GET['raw'] ) ) {
		$chosen_merchant = 'Productlistraw';
	}
	// Get Variables from storage ( retrieve from wherever it's stored - DB, file, etc... )

	global $wpdb;
	// Main content
	echo '
    <script type="text/javascript">
    jQuery( document ).ready( function( $ ) {
        jQuery("#ajax-loader-cat-import").show();
        feedajaxhost = "' . esc_url( plugins_url( '/', __FILE__ ) ) . '";
        chosen_merchant= "' . esc_attr( $chosen_merchant ) . '";
        feed_type = 0;
        etcpf_doGoogleFeed(chosen_merchant);
            etcpf_doFetchLocalCategories_google();
        feed_type = ' . esc_attr( $feed_type ) . ';
        window.feed_type = feed_type;
        window.feed_id = ' . esc_attr( $source_feed_id ) . ';

        if(feed_id > 0 && feed_type == 1){
            etcpf_googleSaveTocustomTable(feed_id);
            googleShowSelectedProductTables(feed_id);
        }
    } );
    </script>';

	global $message;
	if ( strlen( $message ) ) {
		$message .= '<br>';
	}
	// insert break after local message (if present)
	$message .= $reg->getMessage();

	if ( ! $reg->valid ) {
		echo '<div id="setting-error-settings_updated" class="updated settings-error">
              <p>' . wp_kses( $message, etcpf_kses_criteria() ) . '</p>
              </div>';
	}
	if ( $progress ) {
		$etsy->listing_progress_view();
	} else {
		if ( $source_feed_id == -1 ) {
			// $wpdb->query("TRUNCATE {$wpdb->prefix}etcpf_custom_products");
			// Page Header
			echo wp_kses( ETCPF_PageDialogs::pageHeader(), etcpf_kses_criteria() );
			// Page Body
			echo wp_kses( ETCPF_PageDialogs::pageBody(), etcpf_kses_criteria() );
		} else {
			require_once dirname( __FILE__ ) . '/core/classes/dialogeditfeed.php';
			echo wp_kses( ETCPF_PEditFeedDialog::pageBody( $source_feed_id, $feed_type ), etcpf_kses_criteria() );
		}
	}

	echo '</div>';
}

/**
 * Display the manage feed page
 */

add_action( 'etcpf_init_pageview_etsy_manage', 'etcpf_manage_page_action' );

function etcpf_manage_page() {
	echo '<div class="etcpf_etsy_plugin_content">';

	require_once 'etsy-export-feed-wpincludes.php';
	update_option( 'currently_uploading_feed_id', 0 );
	if ( isset( $_REQUEST['option'] )
		&& $_REQUEST['option'] == 'errorreportpage' ) {
		do_action( 'errorreportpage' );
		echo '</div>';
		exit;
	} else {
		include_once 'core/classes/dialogfeedpage.php';
		global $etcore;
		$etcore->trigger( 'etcpf_init_feeds' );
		do_action( 'etcpf_init_pageview_etsy_manage' );
		echo '</div>';
	}
}

function etcpf_manage_page_action() {
	$reg = new ETCPF_EtsyValidation();
	require_once 'etsy-export-feed-manage.php';
}

function etcpf_etsy_configuration() {
	require_once 'core/classes/etsyclient.php';
	require_once 'etsy-export-feeds-information.php';
	include_once 'core/classes/dialogfeedpage.php';
	require_once 'core/feeds/basicfeed.php';
	$etsy = new ETCPF_Etsy();
	update_option( 'currently_uploading_feed_id', 0 );
	if ( isset( $_REQUEST['stage'] ) ) {
		$token   = isset( $_REQUEST['oauth_token'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['oauth_token'] ) ) : '';
		$verfier = isset( $_REQUEST['oauth_verifier'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['oauth_verifier'] ) ) : '';
		$etsy->storeOauthVerifier( $token, $verfier );
		update_option( 'etcpf_login_url', '' );
		// update_option( 'etcpf_stage', 3 );
	}

	echo '<div class="etcpf_etsy_plugin_content">';

	if ( isset( $_GET['tab'] ) && $_GET['tab'] == 'settings' ) {
		$etsy->getEtsyShopLang();
	}
	etcpf_info();
	$etsy->loadNavigationTab();
	echo '<div>';
}

function etcpf_etsy_upload() {
	echo '<div class="etcpf_etsy_plugin_content">';

	if ( isset( $_GET['cmd'] ) ) {
		$id_ = isset( $_GET['id'] ) ? sanitize_text_field( wp_unslash( $_GET['id'] ) ) : '';
		require_once 'core/etsy-views/varaition-manage-page.php';
		$view = new variation();
		$view->index( $id_ );
	} else {
		require_once 'core/classes/etsyclient.php';
		require_once 'etcpf-uploaded-product.php';

		/*
		* echo <script type="text/javascript">
		*	 etcpf_doupload_listing();
		* </script>;
		*/
		$etsy = new ETCPF_Etsy();
		$etsy->view( 'upload-listing-page' );
	}
	echo '</div>';
}

function etcpf_etsy_shipping() {
	echo '<div class="etcpf_etsy_plugin_content">';
	update_option( 'currently_uploading_feed_id', 0 );
	require_once 'core/classes/etsyclient.php';
	$etsy = new ETCPF_Etsy();
	etcpf_info();
	echo '<div class="etcpf_page_heading etcpf_page_heading_withButton">
			<h3>
				Etsy Shipping Configuration
			</h3>
		</div>
	';
	$etsy->listShippingTemplate();

	echo '</div>';
}

function etcpf_error_report_function() {
	require_once 'etsy-export-feed-wpincludes.php';
	global $etcore;
	require_once 'core/etsy-views/error-report-page.php';
	$object = new ETCPF_Errorreport();
	$object->index();

}

function etcpf_custom_product_feed() {
	include_once 'core/classes/ETCPF_Customfeed.php';
	update_option( 'currently_uploading_feed_id', 0 );
	$OBJECT = new ETCPF_Customfeed( 1 );
	if ( isset( $_REQUEST ) ) {
		echo '<div class="etcpf_etsy_plugin_content">';
		if ( isset( $_REQUEST['action'] ) && $_REQUEST['action'] == 'edit' ) {
			$OBJECT->editFeed( isset( $_REQUEST['id'] ) ? sanitize_text_field( wp_unslash( $_REQUEST['id'] ) ) : '' );
			echo '</div>';
			exit;
		} else {
			if ( $OBJECT->index() == true ) {
				echo '</div>';
				exit;
			} else {
				echo '<pre>';
				print_r( 'Something went wrong' );
				echo '</pre>';
				exit();
			}
		}
	}
}

function etcpf_etsy_export_order() {
	echo '<div class="etcpf_etsy_plugin_content">';

	include_once 'core/classes/ETCPF_Etsyorder.php';
	update_option( 'currently_uploading_feed_id', 0 );
	$orderObject = new ETCPF_Etsyorder();
	$orderObject->index();

	echo '</div>';
}

function etcpf_etsy_product_list() {
	include_once ETCPF_PLUGIN_DIR_PATH . 'core/etsy-views/etsy-fetch-product.php';
}

function etcpf_profiling_page() {
	echo '<div class="etcpf_etsy_plugin_content">';

	require_once 'core/classes/Profiling.php';
	$action  = isset( $_GET['action'] ) ? sanitize_text_field( wp_unslash( $_GET['action'] ) ) : 'list_profiles';
	$id      = isset( $_GET['id'] ) ? sanitize_text_field( wp_unslash( $_GET['id'] ) ) : null;
	$invoker = new ETCPF_Profiling();
	if ( ! isset( $_SESSION ) ) {
		session_start();
	}
	switch ( $action ) {
		case 'add_new':
			$invoker->add_new();
			break;
		case 'list':
			$invoker->list_profiles();
			break;
		case 'edit':
			if ( $id ) {
				$invoker->edit_profiles( $id );
			} else {
				$_SESSION['etcpf_profile_message'] = __( 'profile id was not provided' );
				wp_redirect( admin_url( 'admin.php?page=etsy-export-feed-profiling' ) );
			}
			break;
		case 'delete':
			if ( $id ) {
				$invoker->delete( $id );
			} else {
				$_SESSION['etcpf_profile_message'] = __( 'profile id was not provided' );
			}
			break;
		default:
			$invoker->list_profiles();
	}

	echo '</div>';
}

function etcpf_listing_report() {
	include_once 'core/classes/etsy-upload.php';
	if ( isset( $_REQUEST['id'] ) ) {
		$id  = sanitize_text_field( wp_unslash( $_REQUEST['id'] ) );
		$obj = new ETCPF_EtsyUpload();
		$obj->listing_report( $id );
		exit;
	} else {
		echo '<pre>';
		print_r( 'No Feed Selected' );
		echo '</pre>';
		exit();
	}
}
