<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
	exit;
}

global $cp_feed_order, $cp_feed_order_reverse;
require_once 'core/classes/dialogfeedsettings.php';
require_once 'core/data/savedfeed.php';
$ifpremium = false;
$iconurl   = plugins_url( '/images/exf-sm-logo.png', __FILE__ );
?>
	<div class="etcpf_card etcpf_card_sticky etcpf_card_sticky--header">
		<div class="etcpf_card_body">
			<div class="etcpf_logo_wrapper">
				<a target="_blank" href="http://www.exportfeed.com">
					<img class="exf-logo-style" src='<?php echo esc_url( $iconurl ); ?>' alt="shopping cart logo">
				</a>
				<div class="d-flex ai-c flex-wrap">
					<span>
						Version: <?php echo esc_html( ETCPF_PLUGIN_VERSION ) . etcpf_version(); ?> &nbsp;&nbsp;&nbsp;&nbsp;
					</span>
					<button type="button" class="btn btn-primary btn-sm" onclick="window.open('<?php echo esc_url( 'https://www.exportfeed.com/contact/' ); ?>', '_blank');">
						<?php echo esc_html__( 'Contact Support', 'etsy-exportfeed-strings' ); ?>
					</button>
				</div>
			</div>
		</div>
	</div>
	<div style="display: none;" id="ajax-loader-cat-import">
		<div id="gif-message-span-for-more-than-one-feed"></div>
		<div id="gif-message-span"></div>
		</span>
	</div>
	
	<div class="wrap m-0">
		<?php
		$tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';
		if ( $tab !== 'etsymanagefeed' ) {
			?>
			<div class='etcpf_page_heading etcpf_page_heading_withButton'>
				<h3>
					<?php
						esc_html_e( 'Manage Etsy Feeds', 'etsy-exportfeed-strings' );
						$url = admin_url( 'admin.php?page=etsy-export-feed-admin' );
					?>
				</h3>
				<?php
				echo '<div class="btn-wrapper">
								<input type="button" class="btn btn-outline-primary btn-sm" onclick="document.location=\'' . esc_url( $url ) . '\';" value="' . esc_html__( 'Generate New Feed', 'etsy-exportfeed-strings' ) . '" />
							</div>
						';
				?>
			</div>
			<?php

			$active_tab = isset( $_GET['tab'] ) ? sanitize_key( $_GET['tab'] ) : 'managefeed';
			?>
			<div class="nav-wrapper" style="margin-bottom: -30px; margin-top: 40px;">
				<nav class="nav-tab-wrapper">
					<a href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-admin&tab=createfeed' ) ); ?>"
					   class="nav-tab <?php echo $active_tab == 'createfeed' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Create Feed', 'etsy-exportfeed-strings' ); ?></a>
					<a href="<?php echo esc_url( admin_url( 'admin.php?page=etsy-export-feed-manage&tab=managefeed' ) ); ?>"
					   class="nav-tab <?php echo $active_tab == 'managefeed' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Manage Feed', 'etsy-exportfeed-strings' ); ?></a>
					<a href="http://www.exportfeed.com/contact/"
					   target="_blank"
					   class="nav-tab <?php echo $active_tab == 'contactus' ? 'nav-tab-active ' : ''; ?>"><?php esc_html_e( 'Contact Us', 'etsy-exportfeed-strings' ); ?></a>
					<?php
					if ( ! class_exists( 'ETCPF_EtsyValidation' ) ) {
						$reg = new ETCPF_EtsyValidation();
					}

					$ifpremium = false;
					if ( $reg->results['status'] == 'Active' ) {
						$checklicense = $reg->results;
						$productname  = explode( ':', $checklicense['productname'] );
						if ( strpos( $productname[0], 'Pro' ) !== false ) {
							$ifpremium = true;
						}
					}
					if ( $ifpremium == false ) {
						?>
						<a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank"
						   class="nav-tab"><?php esc_html_e( 'Go Pro', 'etsy-exportfeed-strings' ); ?></a>
					<?php } ?>

					<ul class="subsubsub" style="float: right;">
						<?php if ( $ifpremium == false ) { ?>
							<li><a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank">Go
									Premium</a> |
							</li>
						<?php } ?>
						</li>
						<li><a href="http://www.exportfeed.com/woocommerce-product-feed/" target="_blank">Product
								Site</a> |
						</li>
						<li><a href="http://www.exportfeed.com/faq/" target="_blank">FAQ/Help</a></li>
					</ul>
				</nav>
			</div>
			<div class="clear"></div>
			<?php
		}

		global $message;

		// check for delete ID
		if ( isset( $_GET['action'] ) ) {
			$action_ = sanitize_text_field( wp_unslash( $_GET['action'] ) );
			if ( $action_ == 'delete' ) {
				$id_ = isset( $_GET['id'] ) ? intval( sanitize_text_field( wp_unslash( $_GET['id'] ) ) ) : '';
				if ( isset( $id_ ) ) {
					$delete_id = $id_;
					$message   = etcpf_delete_feed( $delete_id );
				}
			}
		}
		if ( defined( 'DISABLE_WP_CRON' ) && ( DISABLE_WP_CRON == true ) ) {
			$message  = '<p>';
			$message .= '<span style="color:green;font-weight: bold">WordPress Cron is disabled. Set your Cron on server to update feeds.</span>';
			$message .= '<ol>';
			$message .= '<li>Log in to your hosting cpanel using your username and password.</li>';
			$message .= '<li>When you log into your cpanel you will see an option for cron jobs or scheduled tasks.</li>';
			$message .= '<li>Under the Common Settings, select <strong>Twice Per Hour</strong> to run cron every 30 minutes.</li>';
			$message .= '<li>Add Cron Command to Run as: <strong>wget -O /dev/null ' . site_url( 'wp-cron.php' ) . '</strong></li>';
			$message .= '<li>Click on <strong>Add New Cron Job</strong>, and then you are all ready.</li>';
			$message .= '</ol>';
			$message .= '<span style="color:green;font-weight: bold">If you have any confusion you can check our documentation. <a href="http://www.exportfeed.com/documentation/install-shoppingcartproductfeed-wordpress-plugin/" target="_blank">Click here</a> </span>';
			$message .= '</p>';
		}

		// WordPress Header ( May contain a message )
		$reg = new ETCPF_EtsyValidation();
		if ( strlen( $message ) ) {
			$message .= '<br>'; // insert break after local message (if present)
		}

		$message .= $reg->getMessage();
		if ( $message && $ifpremium == false && ! $reg->valid ) {
			echo '<div id="setting-error-settings_updated" class="updated settings-error manage-feed-block">
                <span class="close-img" onclick="etcpf_closemanagefeedblock()">Close</span>
               <p>' . wp_kses( $message, etcpf_kses_criteria() ) . '</p></div>';
		}
		$url = admin_url( 'admin.php?page=etsy-export-feed-admin' );
		?>

		<br/>
		<?php
		echo '
        <script type="text/javascript">
        jQuery( document ).ready( function( $ ) {
           feedajaxhost = "' . esc_url( plugins_url( '/', __FILE__ ) ) . '";
        } );
        </script>';

		echo wp_kses( ETCPF_SettingDialogs::refreshTimeOutDialog(), etcpf_kses_criteria() );

		// The table of existing feeds
		etcpf_manage_page_main_table();
		?>
		<br/>
	</div>
<?php

// The feeds table flat
/**
 *
 */
function etcpf_manage_page_main_table() {
	global $wpdb;

	$feed_table           = $wpdb->prefix . 'etcpf_feeds';
	$providerList         = new ETCPF_ProviderList();
	$categoryMappingTable = $wpdb->prefix . 'etcpf_category_mappings';

	// Read the feeds
	$sql_feeds     = ( "SELECT f.*,description, GROUP_CONCAT(CM.local_category_slug) as mappedlocalcategory,GROUP_CONCAT(CM.showValue) as mappedremotecategory FROM $feed_table as f LEFT JOIN $wpdb->term_taxonomy on ( f.category=term_id and taxonomy='product_cat'  ) LEFT JOIN $categoryMappingTable CM on f.id=CM.feed_id  GROUP BY f.id" );
	$list_of_feeds = $wpdb->get_results( $sql_feeds, ARRAY_A );

	// Find the ordering method
	$reverse = false;
	if ( isset( $_GET['order_by'] ) ) {
		$order = sanitize_text_field( wp_unslash( $_GET['order_by'] ) );
	} else {
		$order = '';
	}

	if ( $order == '' ) {
		$order   = get_option( 'et_cp_feed_order' );
		$reverse = get_option( 'et_cpf_feed_order_reverse' );
	} else {
		$old_order = get_option( 'et_cp_feed_order' );
		$reverse   = get_option( 'et_cpf_feed_order_reverse' );
		if ( $old_order == $order ) {
			$reverse = ! $reverse;
		} else {
			$reverse = false;
		}
		update_option( 'et_cp_feed_order', $order );
		if ( $reverse ) {
			update_option( 'et_cpf_feed_order_reverse', true );
		} else {
			update_option( 'et_cpf_feed_order_reverse', false );
		}
	}
	if ( ! empty( $list_of_feeds ) ) {
		// Setup the sequence array
		$seq = false;
		$num = false;
		foreach ( $list_of_feeds as $this_feed ) {
			$this_feed_ex = new ETCPF_SavedFeed( $this_feed['id'] );
			switch ( $order ) {
				case 'name':
					$seq[] = strtolower( stripslashes( $this_feed['filename'] ) );
					break;
				case 'description':
					$seq[] = strtolower( stripslashes( $this_feed_ex->local_category ) );
					break;
				case 'url':
					$seq[] = strtolower( $this_feed['url'] );
					break;
				case 'category':
					$seq[] = $this_feed['category'];
					$num   = true;
					break;
				case 'google_category':
					$seq[] = $this_feed['remote_category'];
					break;
				case 'type':
					$seq[] = $this_feed['type'];
					break;
				default:
					$seq[] = $this_feed['id'];
					$num   = true;
					break;
			}
		}

		// Sort the seq array
		if ( $num ) {
			asort( $seq, SORT_NUMERIC );
		} else {
			asort( $seq, SORT_REGULAR );
		}
		// Reverse ?
		if ( $reverse ) {
			$t   = $seq;
			$c   = count( $t );
			$tmp = array_keys( $t );
			$seq = false;
			for ( $i = $c - 1; $i >= 0; $i-- ) {
				$seq[ $tmp[ $i ] ] = '0';
			}
		}
		$image['down_arrow'] = '<img src="' . ETCPF_URL . 'images/down.png" alt="down" style=" height:12px; position:relative; top:2px; " />';
		$image['up_arrow']   = '<img src="' . ETCPF_URL . 'images/down.png" alt="up" style=" height:12px; position:relative; top:2px; " />';
		?>

		<table class="widefat" style="margin:12px 0px;" id="etcpf_manage_table_originals">
			<thead>
			<tr>
				<?php $url = get_admin_url() . 'admin.php?page=etsy-export-feed-manage&amp;order_by='; ?>
				<td id="cb" class="manage-column column-cb check-column"><label class="screen-reader-text" for="etcpf_select_all_feed">Select All</label><input id="etcpf_select_all_feed" type="checkbox"></td>
				<th scope="col" style="min-width: 50px;">
					<a href="<?php echo esc_url( $url ) . 'id'; ?>">
						<?php
						esc_html_e( 'ID', 'etsy-exportfeed-strings' );
						if ( $order == 'id' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="min-width: 120px;">
					<a href="<?php echo esc_url( $url ) . 'name'; ?>">
						<?php
						esc_html_e( 'Name', 'etsy-exportfeed-strings' );
						if ( $order == 'name' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col">
					<a href="<?php echo esc_url( $url ) . 'category'; ?>">
						<?php
						esc_html_e( 'Local category', 'etsy-exportfeed-strings' );
						if ( $order == 'category' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="min-width: 100px;">
					<a href="<?php echo esc_url( $url ) . 'google_category'; ?>">
						<?php
						esc_html_e( 'Export category', 'etsy-exportfeed-strings' );
						if ( $order == 'google_category' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>

				<th scope="col" style="width: 120px;">
					<a href="<?php echo esc_url( $url ) . 'url'; ?>">
						<?php
						esc_html_e( 'URL', 'etsy-exportfeed-strings' );
						if ( $order == 'url' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="width: 80px;"><?php esc_html_e( 'Last Updated', 'etsy-exportfeed-strings' ); ?></th>
				<th scope="col"><?php esc_html_e( 'Products', 'etsy-exportfeed-strings' ); ?></th>
			</tr>
			</thead>
			<tbody>
			<?php $alt = ' class="alternate" '; ?>

			<?php
			$idx = '0';
			foreach ( array_keys( $seq ) as $s ) {
				$this_feed    = $list_of_feeds[ $s ];
				$this_feed_ex = new ETCPF_SavedFeed( $this_feed['id'] );
				$pendcount    = false;
				?>
				<tr 
				<?php
				echo( esc_html( $alt ) );
				if ( $pendcount ) {
					echo 'style="background-color:#ffdddd"';
				}
				?>
				 >
					<th scope="row" class="check-column"><input type="checkbox" class="etcpf_select_feed"/></th>
					<td><?php echo esc_html( $this_feed['id'] ); ?></td>
					<td><?php echo esc_html( $this_feed['filename'] ); ?>
						<input type="hidden" class="cpf_hidden_feed_id" value="<?php echo esc_attr( $this_feed['id'] ); ?>"/>
						<div class="row-actions"><span class="id">ID: <?php echo esc_html( $this_feed['id'] ); ?> | </span>
							<span class="purple_xmlsedit"><a href="<?php echo esc_url( $this_feed['url'] ); ?>" target="_blank"
															 title="View this Feed" rel="permalink">View</a>|</span>
							<?php
							if ( $this_feed['feed_type'] == 1 ) {
								$url_edit = get_admin_url() . 'admin.php?page=etsy-export-feed-custom-feed&action=edit&id=' . $this_feed['id'] . '&feed_type=' . $this_feed['feed_type'];
							} else {
								$url_edit = get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=edit&id=' . $this_feed['id'] . '&feed_type=' . $this_feed['feed_type'];
							}
							?>
							<span class="purple_xmlsedit"><a href="<?php echo( esc_url( $url_edit ) ); ?>" target="_blank"
															 title="Edit this Feed" rel="permalink">Edit</a>|</span>
							<?php
							$url = wp_nonce_url( get_admin_url() . 'admin.php?page=etsy-export-feed-manage&action=delete&id=' . $this_feed['id'], 'delete_feed', 'ETCPF_security' );
							?>
							<span class="delete"><a href="<?php echo( esc_url( $url ) ); ?>"
													title="Delete this Feed">Delete</a>|</span>
							<?php
							if ( $this_feed['type'] !== 'Productlistraw' ) {
								$table           = $wpdb->prefix . 'etcpf_listings';
								$checkfailed     = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$table} WHERE feed_id = %d AND (uploaded = %d)", array( $this_feed['id'], 3 ) ) );
								$checkunuploaded = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$table} WHERE feed_id = %d AND (uploaded = %d)", array( $this_feed['id'], 0 ) ) );
								?>
								<span class="update">
								<?php if ( $this_feed['feed_title'] == 'uploaded' ) { ?>
									<a title="Uploads from the beginning."
									   href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] . '&resubmit=1' ); ?>">Re-Upload</a>
									</span>|
									<?php if ( $checkfailed ) { ?>
										<span><a title="Uploads only if failed listing exists."
												 href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] . '&uploadfailed=1' ); ?>">Upload Failed</a></span>
										<?php
									}
									if ( $checkunuploaded ) {
										?>
										|<span><a title="Uploads only if failed listing exists."
												  href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] ); ?>">Upload unuploaded</a></span>
										<?php
									}
								} else {
									if ( $this_feed['feed_title'] == 'uploading' ) {
										?>
										<a title="Uploads from the beginning."
										   href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] . '&resubmit=1' ); ?>">
											Re-Upload</a>
										</span>|

										<a title="Resumes upload process."
										   href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] ); ?>">Resume</a></span>
									<?php } else { ?>
										<a title="Upload"
										   href="<?php echo esc_url( get_admin_url() . 'admin.php?page=etsy-export-feed-admin&cmd=upload&id=' . $this_feed['id'] ); ?>">Upload</a></span>
										<?php
									}
								}
							}
							?>
						</div>
					</td>
					<td>
						<small>
						<?php
						if ( $this_feed['mappedlocalcategory'] ) {
							echo esc_html( $this_feed['mappedlocalcategory'] );
						} else {
							echo esc_attr( stripslashes( $this_feed_ex->local_category ) );
						}
						?>
							</small>
					</td>
					<td>
						<?php
						if ( $this_feed['mappedremotecategory'] ) {
							echo esc_html( $this_feed['mappedremotecategory'] );
						} else {
							echo esc_html( substr( str_replace( '.and.', ' & ', str_replace( '.in.', ' > ', esc_attr( stripslashes( $this_feed['remote_category'] ) ) ) ), 0, 100 ) ) . '...';
						}
						?>
					</td>

					<td><?php echo esc_url( $this_feed['url'] ); ?></td>
					<td>
					<?php
						$ext       = '.' . $providerList->getExtensionByType( $this_feed['type'] );
						$feed_file = ETCPF_FeedFolder::uploadFolder() . $this_feed['type'] . '/' . $this_feed['filename'] . $ext;
					if ( file_exists( $feed_file ) ) {
						echo esc_html( date( 'd-m-Y H:i:s', filemtime( $feed_file ) ) );
					} else {
						echo 'DNE';
					}
					?>
						</td>
					<td><?php echo esc_html( $this_feed['product_count'] ); ?></td>
				</tr>
				<?php
				if ( $alt == '' ) {
					$alt = ' class="alternate" ';
				} else {
					$alt = '';
				}

				$idx++;
			}
			?>
			</tbody>
			<tfoot>
			<tr>
				<?php
				$url   = get_admin_url() . 'admin.php?page=google-merchant-manage-page&amp;order_by=';
				$order = '';
				?>
				<th></th>
				<th scope="col" style="min-width: 50px;">
					<a href="<?php echo esc_url( $url ) . 'id'; ?>">
						<?php
						esc_html_e( 'ID', 'etsy-exportfeed-strings' );
						if ( $order == 'id' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="min-width: 120px;">
					<a href="<?php echo esc_url( $url ) . 'name'; ?>">
						<?php
						esc_html_e( 'Name', 'etsy-exportfeed-strings' );
						if ( $order == 'name' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col">
					<a href="<?php echo esc_url( $url ) . 'category'; ?>">
						<?php
						esc_html_e( 'Local Category', 'etsy-exportfeed-strings' );
						if ( $order == 'category' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="min-width: 100px;">
					<a href="<?php echo esc_url( $url ) . 'google_category'; ?>">
						<?php
						esc_html_e( 'Export category', 'etsy-exportfeed-strings' );
						if ( $order == 'google_category' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="width: 120px;">
					<a href="<?php echo esc_url( $url ) . 'url'; ?>">
						<?php
						esc_html_e( 'URL', 'etsy-exportfeed-strings' );
						if ( $order == 'url' ) {
							if ( $reverse ) {
								echo wp_kses(
									$image['up_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							} else {
								echo wp_kses(
									$image['down_arrow'],
									array(
										'img' => array(
											'src'   => array(),
											'class' => array(),
											'style' => array(),
											'alt'   => array(),
										),
									)
								);
							}
						}
						?>
					</a>
				</th>
				<th scope="col" style="width: 80px;"><?php esc_html_e( 'Last Updated', 'etsy-exportfeed-strings' ); ?></th>
			 
				<th scope="col"><?php esc_html_e( 'Products', 'etsy-exportfeed-strings' ); ?></th>
			</tr>
			</tfoot>

		</table>
		<?php $update = __get_option('etcpf_db_upgrade_available') == 'true' ? true : false; ?>
        <input class="button button-primary" type="submit" <?php if($update) { echo 'disabled'; } ?> value="Update Now" id="submit" name="submit"
			   onclick="etcpf_googleDoUpdateAllFeeds()">
		<div id="update-message">&nbsp;</div>
        <div>
	        <?php if($update) {
		        echo "<label><span style='color:red'>*</span><span> There's a new database update available for the Etsy plugin. Please upgrade it to enable the feed update button.</span></br></label>";
		        echo "<div>";
		        echo "<button class='button' id='etcpf_update_plugin_database' style='margin-top: 10px'>Update Database</button>";
		        echo "</div>";
	        }
	        ?>
        </div>
		<?php
	} else {
		?>
		<p class="mt-2">
			<?php
				esc_html_e( 'No feeds yet!  ', 'etsy-exportfeed-strings' );
				echo wp_kses(
					'<a href="admin.php?page=etsy-export-feed-admin">Create Feed </a>',
					etcpf_kses_criteria()
				);
			?>
		</p>
		<?php
	}
}

function etcpf_delete_feed( $delete_id = null ) {
	if ( ! isset( $_GET['ETCPF_security'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash( $_GET['ETCPF_security'] ) ), 'delete_feed' ) ) {
		return false;
	}
	if ( ! current_user_can( 'administrator' ) && ! current_user_can( 'author' ) ) {
		return false;
	}
	// Delete a Feed
	global $wpdb;

	$feed_table    = $wpdb->prefix . 'etcpf_feeds';
	$sql_feeds     = $wpdb->prepare( "SELECT * FROM $feed_table where id= %s", $delete_id );
	$list_of_feeds = $wpdb->get_results( $sql_feeds, ARRAY_A );

	if ( isset( $list_of_feeds[0] ) ) {
		$this_feed = $list_of_feeds[0];
		$ext       = '.xml';
		if ( strpos( strtolower( $this_feed['url'] ), '.csv' ) > 0 ) {
			$ext = '.csv';
		}
		$upload_dir = wp_upload_dir();
		$feed_file  = $upload_dir['basedir'] . '/etsy_merchant_feeds/' . $this_feed['type'] . '/' . $this_feed['filename'] . $ext;

		if ( file_exists( $feed_file ) ) {
			unlink( $feed_file );
		}
		$wpdb->query( $wpdb->prepare( "DELETE FROM $feed_table where id=%s", $delete_id ) );
		return 'Feed deleted successfully!';
	}
	return false;
}
